Bug 807083

Summary: iscsi tools do not exist on F17 beta RC1 DVDs
Product: [Fedora] Fedora Reporter: Tim Flink <tflink>
Component: loraxAssignee: Brian Lane <bcl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 17CC: anaconda-maint-list, awilliam, bcl, mgracik
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Fixed In Version: lorax-17.13-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-30 15:31:18 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 752650, 752652    

Description Tim Flink 2012-03-26 20:31:19 EDT
When the F17 beta RC1 DVDs are booted, there are no iscsi tools (iscsiadm, iscsid etc.) on the image and iSCSI targets cannot be added for installation.

Going back over the isos that I have on hand, this appears to have started with F17 beta TC2 - TC1 has iscsi tools, TC2 and RC1 do not.
Comment 1 Tim Flink 2012-03-26 20:34:43 EDT
Proposing as blocker for F17 final as it violates the following final criterion [1]:

The installer must be able to complete an installation using any network-attached storage devices (e.g. iSCSI, FCoE, Fibre Channel)

[1] http://fedoraproject.org/wiki/Fedora_17_Final_Release_Criteria

Also proposing as NTH for F17 beta because it would be helpful to be able to start testing iSCSI for beta instead of waiting for final - this can't be fixed with an update because the utilities are missing from the image.
Comment 2 Brian Lane 2012-03-27 11:54:06 EDT
Probably just need to add iscsi-initiator-utils to the install template.
Comment 3 Brian Lane 2012-03-27 12:15:40 EDT
Also needs to have the iscsi_tcp module loaded. bug 804522 will handle this.
Comment 4 Adam Williamson 2012-03-30 15:31:18 EDT
Tim confirmed this is fixed in RC2, so let's just close it out.

Fedora Bugzappers volunteer triage team